com.amazonaws.codegen.model.service

## Class Http

- java.lang.Object
- - com.amazonaws.codegen.model.service.Http

    public class Http
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Http()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMethod()`
`String` `getRequestUri()`
`String` `getResponseCode()`
`void` `setMethod(String method)`
`void` `setRequestUri(String requestUri)`
`void` `setResponseCode(String responseCode)`
`Http` `withMethod(String method)`
`Http` `withRequestUri(String requestUri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Http

    public Http()

### Method Detail

#### getMethod

    public String getMethod()

#### setMethod

    public void setMethod(String method)

#### withMethod

    public Http withMethod(String method)

#### getRequestUri

    public String getRequestUri()

#### setRequestUri

    public void setRequestUri(String requestUri)

#### withRequestUri

    public Http withRequestUri(String requestUri)

#### getResponseCode

    public String getResponseCode()

#### setResponseCode

    public void setResponseCode(String responseCode)